ALTER TABLE `zt_build` DROP `artifactRepoID`;
ALTER TABLE `zt_build` ADD `artifacts` TEXT NOT NULL AFTER `bugs`;

CREATE TABLE IF NOT EXISTS `zt_devops_action` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `objectType` varchar(30) NOT NULL,
  `objectID` mediumint unsigned NOT NULL,
  `actionType` varchar(80) NOT NULL,
  `actionID` varchar(80) NOT NULL,
  `action` varchar(80) NOT NULL,
  `actor` varchar(100) NOT NULL,
  `date` datetime NULL,
  `comment` text NULL,
  `extra` text NULL,
  `product` text NULL,
  `project` mediumint unsigned NOT NULL DEFAULT 0,
  `execution` mediumint unsigned NOT NULL DEFAULT 0,
  `vision` varchar(10) NOT NULL DEFAULT 'rnd',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
CREATE INDEX `idx_object_type_id` ON `zt_devops_action`(`objectType`, `objectID`);

CREATE TABLE IF NOT EXISTS `zt_gitfoxsynclog` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `objectType` enum('repo', 'user') NOT NULL DEFAULT 'user',
  `objectID` varchar(255) NOT NULL DEFAULT '',
  `name` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `password` varchar(32) NOT NULL DEFAULT '',
  `status` enum('wait', 'synced', 'error') NOT NULL DEFAULT 'wait',
  `operate` enum('add', 'edit', 'del') NOT NULL DEFAULT 'add',
  `times` tinyint(3) unsigned NOT NULL DEFAULT 0,
  `lastSync` datetime NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
CREATE INDEX `idx_status_object` ON `zt_gitfoxsynclog`(`status`, `objectType`, `objectID`);

INSERT INTO `zt_cron` (`m`, `h`, `dom`, `mon`, `dow`, `command`, `remark`, `type`, `buildin`, `status`) VALUES ('*/5', '*', '*', '*', '*', 'moduleName=instance&methodName=syncGitFoxData', '同步GitFox数据', 'zentao', 1, 'normal');

ALTER TABLE `zt_repo` ADD `gitfoxID` varchar(255) NOT NULL DEFAULT '' AFTER `synced`;

ALTER TABLE `zt_oauth` ADD `token` varchar(255) NOT NULL DEFAULT '';
